import Filter from './filter';
import {FC, ReactNode} from 'react';
import {context, pageContext, searchContext, useContextReducer} from './context';
import TableList from './table';
import {PageProvider, SearchProvider} from '@components';

const MenuProvider: FC<{children: ReactNode}> = function({children}) {
  const state = useContextReducer();

  const {Provider} = context;

  return <Provider value={state}>{children}</Provider>;
};

const Menu: FC = function() {
  return (
    <MenuProvider>
      <SearchProvider context={searchContext}>
        <PageProvider context={pageContext}>
          <section className='content-main'>
            <Filter />
            <TableList />
          </section>
        </PageProvider>
      </SearchProvider>
    </MenuProvider>
  );
};

export default Menu;
